# Interface AvailableLayerDefinitions

Defines mandatory properties for layer-compatible objects (objects that can have layers attached to them)

interface AvailableLayerDefinitions {
availableLayerDefinitions: LayerDefinitions;
}

#### Hierarchy (View Summary)

- AvailableLayerDefinitions
  - BimContainer
  - BimFolder
  - BimChangeBlob
  - BimChangeIfc
  - BimChangeDwg

##### Index

### Properties

availableLayerDefinitions

## Properties

### `Readonly` availableLayerDefinitions

availableLayerDefinitions: LayerDefinitions

List of layers, that can be added to this change, together with the permission that the current user has for each of them.